<?php

class Llamada extends AppObjeto {
	
	//Propiedades
	protected $codigoLlamada;
	protected $fecha;
	protected $hora;
	protected $telefonoEntrada;
	protected $contactoNombre;
	protected $motivo;
	protected $usuarioNombre;
	protected $receptorTelefono;
	protected $receptorEmpresa;
	
			
	/* para conectar con bd */
	protected static $_aliasTabla = 'llam';
	protected static $_nombreTabla = 'REG_LLAMADAS';
	protected static $_campoPK = 'NUMERO';
	protected static $_tipo_primary = self::APP_TIPO_PRIMARY_STRING;
	
	
	// InitMetaDatos
	protected static function initMetaDatos(){
		
		self::addPropiedadBD('llam', 'NUMERO', 'codigoLlamada', self::META_VARCHAR);
		self::addPropiedadBD('llam', 'FECHA', 'fecha', self::META_DATE);
		self::addPropiedadBD('llam', 'HORA', 'hora', self::META_TIME);
		self::addPropiedadBD('llam', 'TELF_ENTRA', 'telefonoEntrada', self::META_VARCHAR);
		
		self::addTablaRelacion('motivo', 'MOTI_LLAMADA', 'CODIGO_MLL', 'llam', 'motivo_llam');
		self::addPropiedadBD('motivo', 'NOMBRE_MLL', 'motivo', self::META_VARCHAR);
		
		self::addTablaRelacion('pot', 'POTENCIALES', 'NUMERO', 'llam', 'CONTACTO');
		self::addPropiedadBD('pot', 'NOMBRE', 'contactoNombre', self::META_VARCHAR);
		
		self::addTablaRelacion('usuario', 'USURE', 'CODIGO', 'llam', 'USUCREA');
		self::addPropiedadBD('usuario', 'NOMBRE', 'usuarioNombre', self::META_VARCHAR);
		
		self::addTablaRelacion('tel_entrada', 'TELEFONOS_ENTRADA', 'CODIGO_TE', 'llam', 'TELFRECEPTOR');
		self::addPropiedadBD('tel_entrada', 'NUMERO_TE', 'receptorTelefono', self::META_VARCHAR);
		self::addPropiedadBD('tel_entrada', 'NOMBRE_TE', 'receptorEmpresa', self::META_VARCHAR);
		
	}

	// Métodos
	
	public static function lst_byComisionista($params){
		$potencialComercial = Usuario::getPotencialLogueado();
		$select = self::selectObjeto();
		// Presupuestos cuyo codiclave es el comercial
		$select->where("llam.comisio=?",$potencialComercial->getCodigoComisionista());
		$select->order(array('llam.fecha desc','llam.hora desc'));
		//echo $select;	
		$res = self::selectExecute($select,$params);
		$datos = $res->getDatos();
		foreach ($datos as &$reg) {
			$reg['receptorEmpresa'] =  htmlentities($reg['receptorEmpresa']);
			$reg['usuarioNombre'] =  htmlentities($reg['usuarioNombre']);
		}
		$res->setDatos($datos);
		return $res;
	}
	
	
	// Get y Set
	
}